> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/addresses-and-names-portfolio/os-open-names/os-open-names-technical-specification/attribute-naming-format-comparison.md).

# Attribute naming format comparison

The naming of attributes will be different between the various formats due to the differing naming conventions associated with each format (for example, presence of underscores, character limitations and capitalisation). Therefore, the following table maps the differing format attribute names to one another.

{% hint style="info" %}
*A few attributes are not mapped to all formats; the absence of an attribute field is represented by ‘N/A’ in the table. For example, the Fid attribute is only available in GeoPackage format, so 'N/A' is noted in the CSV and GML cells in the table for that attribute.*
{% endhint %}

| CSV attribute            | GeoPackage attribute     | GML attribute                                    |
| ------------------------ | ------------------------ | ------------------------------------------------ |
| N/A                      | Fid                      | N/A                                              |
| Id                       | Id                       | \<names:NamedPlace gml:id>                       |
| names\_uri               | names\_uri               | \<gml:identifier>                                |
| N/A                      | N/A                      | \<gn:inspireId>                                  |
| N/A                      | N/A                      | \<gn:beginLifespanVersion>                       |
| N/A                      | N/A                      | \<gn:endLifespanVersion>                         |
| name1                    | name1                    | \<gn:spelling>                                   |
| name1\_lang              | name1\_lang              | \<gn:language>                                   |
| name2                    | name2                    | \<gn:spelling>                                   |
| name2\_lang              | name2\_lang              | \<gn:language>                                   |
| N/A                      | N/A                      | \<gn:sourceOfName>                               |
| N/A                      | N/A                      | \<gn:nativeness>                                 |
| N/A                      | N/A                      | \<gn:nameStatus>                                 |
| type                     | type                     | \<gn:type>                                       |
| local\_type              | local\_type              | \<gn:localType>                                  |
| GEOMETRY\_X              | geometry                 | \<gn:geometry>                                   |
| GEOMETRY\_Y              | geometry                 | \<gn:geometry>                                   |
| most\_detail\_view\_res  | most\_detail\_view\_res  | \<gn:mostDetailedViewingResolution>              |
| least\_detail\_view\_res | least\_detail\_view\_res | \<gn:leastDetailedViewingResolution>             |
| mbr\_xmin                | mbr\_xmin                | \<gml:boundedBy>                                 |
| mbr\_ymin                | mbr\_ymin                | \<gml:boundedBy>                                 |
| mbr\_xmax                | mbr\_xmax                | \<gml:boundedBy>                                 |
| mbr\_ymax                | mbr\_ymax                | \<gml:boundedBy>                                 |
| postcode\_district       | postcode\_district       | \<names: inPostcodeDistrict xlink:title>         |
| postcode\_district\_uri  | postcode\_district\_uri  | \<names: inPostcodeDistrict xlink:href>          |
| populated\_place         | populated\_place         | \<names:inPopulatedPlace xlink:title>            |
| populated\_place\_uri    | populated\_place\_uri    | \<names:inPopulatedPlace xlink:href>             |
| populated\_place\_type   | populated\_place\_type   | \<names:inPopulatedPlace xlink:role>             |
| district\_borough        | district\_borough        | \<names:inDistrictOrBorough xlink:title>         |
| district\_borough\_uri   | district\_borough\_uri   | \<names:inDistrictOrBorough xlink:href>          |
| district\_borough\_type  | district\_borough\_type  | \<names:inDistrictOrBorough xlink:role>          |
| county\_unitary          | county\_unitary          | \<names:in CountyOrUnitaryAuthority xlink:title> |
| county\_unitary\_uri     | county\_unitary\_uri     | \<names:in CountyOrUnitaryAuthority xlink:href>  |
| county\_unitary\_type    | county\_unitary\_type    | \<names:in CountyOrUnitaryAuthority xlink:role>  |
| region                   | region                   | \<names:inEuropeanRegion xlink:title>            |
| region\_uri              | region\_uri              | \<names:inEuropeanRegion xlink:href>             |
| country                  | country                  | \<names:inCountry xlink:title>                   |
| country\_uri             | country\_uri             | \<names:inCountry xlink:href>                    |
| related\_spatial\_object | related\_spatial\_object | \<gn:relatedSpatialObject>                       |
| same\_as\_dbpedia        | same\_as\_dbpedia        | \<names:sameAsDBPedia xlink:href>                |
| same\_as\_geonames       | same\_as\_geonames       | \<names:sameAsGeoNames xlink:href>               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.os.uk/os-downloads/products/addresses-and-names-portfolio/os-open-names/os-open-names-technical-specification/attribute-naming-format-comparison.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
